### Method

# Clutter Actor add_transition

#### Declaration [src]

    void
    clutter_actor_add_transition (
      ClutterActor* self,
      const char* name,
      ClutterTransition* transition
    )

#### Description [src]

Adds a `transition` to the `ClutterActor`‘s list of animations.

The `name` string is a per-actor unique identifier of the `transition`: only one `ClutterTransition` can be associated to the specified `name`.

The `transition` will be started once added.

This function will take a reference on the `transition`.

This function is usually called implicitly when modifying an animatable property.

#### Parameters

`name`

  Type: `const char*`

  The name of the transition to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`transition`

  Type: `ClutterTransition`

  The `ClutterTransition` to add.

  The data is owned by the caller of the method.